# Deprecated API

## Contents

- Classes
- Fields
- Methods
- Constructors

- Classes
  Class | Description
  --- | ---
  org.apache.commons.lang.NumberRange | Use one of the Range classes in org.apache.commons.lang.math. Class will be removed in Commons Lang 3.0.
  org.apache.commons.lang.NumberUtils | Moved to org.apache.commons.lang.math. Class will be removed in Commons Lang 3.0.

- Fields
  Field | Description
  --- | ---
  org.apache.commons.lang.time.DateUtils.MILLIS_IN_DAY | Use MILLIS_PER_DAY. This will be removed in Commons Lang 3.0.
  org.apache.commons.lang.time.DateUtils.MILLIS_IN_HOUR | Use MILLIS_PER_HOUR. This will be removed in Commons Lang 3.0.
  org.apache.commons.lang.time.DateUtils.MILLIS_IN_MINUTE | Use MILLIS_PER_MINUTE. This will be removed in Commons Lang 3.0.
  org.apache.commons.lang.time.DateUtils.MILLIS_IN_SECOND | Use MILLIS_PER_SECOND. This will be removed in Commons Lang 3.0.

- Methods
  Method | Description
  --- | ---
  org.apache.commons.lang.builder.ReflectionToStringBuilder.toString​(Object, ToStringStyle, boolean, Class) | Use `ReflectionToStringBuilder.toString(Object,ToStringStyle,boolean,boolean,Class)`
  org.apache.commons.lang.builder.StandardToStringStyle.isShortClassName() | Use `StandardToStringStyle.isUseShortClassName()` Method will be removed in Commons Lang 3.0.
  org.apache.commons.lang.builder.StandardToStringStyle.setShortClassName​(boolean) | Use `StandardToStringStyle.setUseShortClassName(boolean)` Method will be removed in Commons Lang 3.0.
  org.apache.commons.lang.builder.ToStringStyle.isShortClassName() | Use `ToStringStyle.isUseShortClassName()` Method will be removed in Commons Lang 3.0.
  org.apache.commons.lang.builder.ToStringStyle.setShortClassName​(boolean) | Use `ToStringStyle.setUseShortClassName(boolean)` Method will be removed in Commons Lang 3.0.
  org.apache.commons.lang.CharSetUtils.evaluateSet​(String[]) | Use `CharSet.getInstance(String[])`. Method will be removed in Commons Lang 3.0.
  org.apache.commons.lang.CharSetUtils.translate​(String, String, String) | Use `StringUtils.replaceChars(String, String, String)`. Method will be removed in Commons Lang 3.0. NOTE: StringUtils#replaceChars behaves differently when 'searchChars' is longer than 'replaceChars'. CharSetUtils#translate will use the last char of the replacement string whereas StringUtils#replaceChars will delete
  org.apache.commons.lang.math.NumberUtils.stringToInt​(String) | Use `NumberUtils.toInt(String)` This method will be removed in Commons Lang 3.0
  org.apache.commons.lang.ObjectUtils.appendIdentityToString​(StringBuffer, Object) | The design of this method is bad - see LANG-360. Instead, use identityToString(StringBuffer, Object).
  org.apache.commons.lang.StringUtils.capitalise​(String) | Use the standardly named `StringUtils.capitalize(String)`. Method will be removed in Commons Lang 3.0.
  org.apache.commons.lang.StringUtils.capitaliseAllWords​(String) | Use the relocated `WordUtils.capitalize(String)`. Method will be removed in Commons Lang 3.0.
  org.apache.commons.lang.StringUtils.chompLast​(String) | Use `StringUtils.chomp(String)` instead. Method will be removed in Commons Lang 3.0.
  org.apache.commons.lang.StringUtils.chopNewline​(String) | Use `StringUtils.chomp(String)` instead. Method will be removed in Commons Lang 3.0.
  org.apache.commons.lang.StringUtils.clean​(String) | Use the clearer named `StringUtils.trimToEmpty(String)`. Method will be removed in Commons Lang 3.0.
  org.apache.commons.lang.StringUtils.concatenate​(Object[]) | Use the better named `StringUtils.join(Object[])` instead. Method will be removed in Commons Lang 3.0.
  org.apache.commons.lang.StringUtils.deleteSpaces​(String) | Use the better localized `StringUtils.deleteWhitespace(String)`. Method will be removed in Commons Lang 3.0.
  org.apache.commons.lang.StringUtils.escape​(String) | Use `StringEscapeUtils.escapeJava(String)` This method will be removed in Commons Lang 3.0
  org.apache.commons.lang.StringUtils.getChomp​(String, String) | Use `StringUtils.substringAfterLast(String, String)` instead (although this doesn't include the separator) Method will be removed in Commons Lang 3.0.
  org.apache.commons.lang.StringUtils.getNestedString​(String, String) | Use the better named `StringUtils.substringBetween(String, String)`. Method will be removed in Commons Lang 3.0.
  org.apache.commons.lang.StringUtils.getPrechomp​(String, String) | Use `StringUtils.substringBefore(String,String)` instead (although this doesn't include the separator). Method will be removed in Commons Lang 3.0.
  org.apache.commons.lang.StringUtils.overlayString​(String, String, int, int) | Use better named `StringUtils.overlay(String, String, int, int)` instead. Method will be removed in Commons Lang 3.0.
  org.apache.commons.lang.StringUtils.prechomp​(String, String) | Use `StringUtils.substringAfter(String,String)` instead. Method will be removed in Commons Lang 3.0.
  org.apache.commons.lang.StringUtils.reverseDelimitedString​(String, String) | Use `StringUtils.reverseDelimited(String, char)` instead. This method is broken as the join doesn't know which char to use. Method will be removed in Commons Lang 3.0.
  org.apache.commons.lang.StringUtils.uncapitalise​(String) | Use the standardly named `StringUtils.uncapitalize(String)`. Method will be removed in Commons Lang 3.0.
  org.apache.commons.lang.SystemUtils.getJavaVersion() | Use `SystemUtils.JAVA_VERSION_FLOAT` instead. Method will be removed in Commons Lang 3.0.
  org.apache.commons.lang.time.DateUtils.add​(Date, int, int) | Will become privately scoped in 3.0

- Constructors
  Constructor | Description
  --- | ---
  org.apache.commons.lang.builder.ReflectionToStringBuilder​(Object, ToStringStyle, StringBuffer, Class, boolean) | Use `ReflectionToStringBuilder(Object,ToStringStyle,StringBuffer,Class,boolean,boolean)`.